Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688430 - ipa-server package fails to install on rhel 7.6
Summary: ipa-server package fails to install on rhel 7.6
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: ipa
Version: 7.6
Hardware: noarch
OS: Linux
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: ipa-qe
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-03-13 17:28 UTC by Ken Hitchcock
Modified: 2019-03-14 11:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-03-14 11:28:46 UTC
Target Upstream Version:


Attachments (Terms of Use)
full output from install (deleted)
2019-03-13 17:28 UTC, Ken Hitchcock
no flags Details

Description Ken Hitchcock 2019-03-13 17:28:03 UTC
Created attachment 1543711 [details]
full output from install

Description of problem:
Attemping to install idm on a newly built rhel 7.6 system.


Version-Release number of selected component (if applicable):


How reproducible:
Build new RHEL 7.6 system and attempt to run 
yum install ipa-server ipa-server-dns
or just

yum install ipa-server

Steps to Reproduce:
1. Build fresh rhel7.6 system
2. yum install ipa-server


Actual results:
Error: Package: ipa-server-common-4.6.4-10.el7_6.3.noarch (rhel-7-server-rpms)
           Requires: ipa-client-common = 4.6.4-10.el7_6.3

Expected results:
IDM to install without dependency issues 

Additional info:

Comment 2 Rob Crittenden 2019-03-13 18:21:52 UTC
What does your repo configuration look like?

Comment 3 Ken Hitchcock 2019-03-14 10:54:28 UTC
A fresh system built and registered to CDN, no altered repos. Nothing added nor removed. The exact same steps used earlier in the week and it worked. Its about as simple as simple can get.

Comment 4 Ken Hitchcock 2019-03-14 11:16:18 UTC
Today the install has worked, has anything changed with package dependencies since yesterday? Possible bug in the rpm packages that have been fixed?

The problem basically has gone away.

Comment 5 Alexander Bokovoy 2019-03-14 11:28:46 UTC
To my knowledge, yesterday was the day for the RHEL 7.6.z release which actually added version 4.6.4-10.el7_6.3: https://access.redhat.com/errata/RHBA-2019:0508 

I can only assume you've got to install during a small window when repositories were yet in a process to synchronize.


Note You need to log in before you can comment on or make changes to this bug.